interactions:
- request:
    body: !!binary |
[encoded data, 78269 characters]
      NDk3OWUtLQ0K
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '53760'
      Content-Type:
      - multipart/form-data; boundary=889074bef8fe6bd468f564c17be4979e
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"110594131160566780","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/original/7feb9c825dc874ca.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/small/7feb9c825dc874ca.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"John
        Lennon doing a funny walk","blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"0921210520bcd6b60ca6271a83955935"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - f5d23939-ceb3-4070-bc04-917ae69d4784
      X-Runtime:
      - '0.158017'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/instance/
  response:
    body:
      string: '{"uri":"localhost:3000","title":"Mastodon","short_description":"","description":"","email":"","version":"4.1.2","urls":{"streaming_api":"ws://localhost:4000"},"stats":{"user_count":4,"status_count":2,"domain_count":1},"thumbnail":"http://localhost:3000/packs/media/images/preview-6399aebd96ccf025654e2977454f168f.png","languages":["en"],"registrations":true,"approval_required":false,"invites_enabled":true,"configuration":{"accounts":{"max_featured_tags":10},"statuses":{"max_characters":500,"max_media_attachments":4,"characters_reserved_per_url":23},"media_attachments":{"supported_mime_types":["image/jpeg","image/png","image/gif","image/heic","image/heif","image/webp","image/avif","video/webm","video/mp4","video/quicktime","video/ogg","audio/wave","audio/wav","audio/x-wav","audio/x-pn-wave","audio/vnd.wave","audio/ogg","audio/vorbis","audio/mpeg","audio/mp3","audio/webm","audio/flac","audio/aac","audio/m4a","audio/x-m4a","audio/mp4","audio/3gpp","video/x-ms-asf"],"image_size_limit":10485760,"image_matrix_limit":16777216,"video_size_limit":41943040,"video_frame_rate_limit":60,"video_matrix_limit":2304000},"polls":{"max_options":4,"max_characters_per_option":50,"min_expiration":300,"max_expiration":2629746}},"contact_account":null,"rules":[]}'
    headers:
      Cache-Control:
      - max-age=180, public
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Fri, 23 Jun 2023 15:01:58 GMT
      ETag:
      - W/"1a6cdb48242542d12022c00ac69ddb38"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 5176acd1-f7c8-4681-8dfe-10ecf959de9a
      X-Runtime:
      - '0.016545'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: !!binary |
[encoded data, 39923 characters]
      ZjA0NDhmYjNlOGFmZjM5OTRhZGY4MmNiN2YtLQ0K
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '27447'
      Content-Type:
      - multipart/form-data; boundary=0f01adf0448fb3e8aff3994adf82cb7f
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"110594131169455482","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/original/4e39035fca9dfd39.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/small/4e39035fca9dfd39.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":400,"height":400,"size":"400x400","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":0.5,"y":0.5}},"description":"hololives
        #1 detective, watson ameliachan","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"ab76f27e5b5148ab1577324d4168e857"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 28f17538-7ecf-4a21-ab0c-554c7177b105
      X-Runtime:
      - '0.111260'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/instance/
  response:
    body:
      string: '{"uri":"localhost:3000","title":"Mastodon","short_description":"","description":"","email":"","version":"4.1.2","urls":{"streaming_api":"ws://localhost:4000"},"stats":{"user_count":4,"status_count":2,"domain_count":1},"thumbnail":"http://localhost:3000/packs/media/images/preview-6399aebd96ccf025654e2977454f168f.png","languages":["en"],"registrations":true,"approval_required":false,"invites_enabled":true,"configuration":{"accounts":{"max_featured_tags":10},"statuses":{"max_characters":500,"max_media_attachments":4,"characters_reserved_per_url":23},"media_attachments":{"supported_mime_types":["image/jpeg","image/png","image/gif","image/heic","image/heif","image/webp","image/avif","video/webm","video/mp4","video/quicktime","video/ogg","audio/wave","audio/wav","audio/x-wav","audio/x-pn-wave","audio/vnd.wave","audio/ogg","audio/vorbis","audio/mpeg","audio/mp3","audio/webm","audio/flac","audio/aac","audio/m4a","audio/x-m4a","audio/mp4","audio/3gpp","video/x-ms-asf"],"image_size_limit":10485760,"image_matrix_limit":16777216,"video_size_limit":41943040,"video_frame_rate_limit":60,"video_matrix_limit":2304000},"polls":{"max_options":4,"max_characters_per_option":50,"min_expiration":300,"max_expiration":2629746}},"contact_account":null,"rules":[]}'
    headers:
      Cache-Control:
      - max-age=180, public
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Fri, 23 Jun 2023 15:01:59 GMT
      ETag:
      - W/"1a6cdb48242542d12022c00ac69ddb38"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 12269516-30e2-4b99-b6dd-67b83d2dbf6b
      X-Runtime:
      - '0.015496'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: status=LOL+check+this+out&media_ids%5B%5D=110594131160566780&media_ids%5B%5D=110594131169455482
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '95'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body:
      string: '{"id":"110594131172479888","created_at":"2023-06-23T15:01:59.113Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594131172479888","url":"http://localhost:3000/@mastodonpy_test/110594131172479888","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":3,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594131160566780","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/original/7feb9c825dc874ca.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/small/7feb9c825dc874ca.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"John
        Lennon doing a funny walk","blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"},{"id":"110594131169455482","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/original/4e39035fca9dfd39.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/small/4e39035fca9dfd39.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":400,"height":400,"size":"400x400","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":0.5,"y":0.5}},"description":"hololives
        #1 detective, watson ameliachan","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"aa071d22d06646e023fa24c27494fde0"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-RateLimit-Limit:
      - '300'
      X-RateLimit-Remaining:
      - '282'
      X-RateLimit-Reset:
      - '2023-06-23T18:00:00.144267Z'
      X-Request-Id:
      - 5d40ce9d-6baf-4721-a0e3-5f1e4bb705a9
      X-Runtime:
      - '0.045155'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/110594131172479888
  response:
    body:
      string: '{"id":"110594131172479888","created_at":"2023-06-23T15:01:59.113Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/110594131172479888","url":"http://localhost:3000/@mastodonpy_test/110594131172479888","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"text":"LOL
        check this out","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/e125a3a9920bb491.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/4da851fddd1ca252.jpg","followers_count":0,"following_count":0,"statuses_count":2,"last_status_at":"2023-06-23","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"110594131160566780","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/original/7feb9c825dc874ca.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/160/566/780/small/7feb9c825dc874ca.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":480,"height":480,"size":"480x480","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"John
        Lennon doing a funny walk","blurhash":"UGD9YhIn00j[NFofR%M{IURj%Ms;D%of%MR%"},{"id":"110594131169455482","type":"image","url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/original/4e39035fca9dfd39.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/110/594/131/169/455/482/small/4e39035fca9dfd39.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"original":{"width":400,"height":400,"size":"400x400","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":0.5,"y":0.5}},"description":"hololives
        #1 detective, watson ameliachan","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"82aa9b1369917964fc61a1e68e1ec8f7"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 44bd9369-b9c1-4096-86b0-c23e25f7b561
      X-Runtime:
      - '0.032349'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
version: 1
